.custom-modal {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.5);
  align-items: center;
  justify-content: center;
  z-index: 99999999;
}

.custom-modal.show {
  display: flex;
  animation: fadeIn 0.2s ease-out;
}

.custom-modal .modal-dialog {
  background: #fff;
  border-radius: 8px;
  max-width: 600px;
  width: 90%;
  position: relative;
  animation: slideUp 0.25s ease-out;
  max-height: 80%;
  overflow-y: auto;
}

@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}
@keyframes slideUp {
  from { transform: translateY(20px); opacity: 0; }
  to { transform: translateY(0); opacity: 1; }
}

.custom-modal .close-modal {
  position: sticky;
  top: 8px;
  right: 12px;
  border: none;
  background: none;
  font-size: 24px;
  cursor: pointer;
  z-index: 1;
  width: fit-content;
  margin-left: auto;
}
.custom-modal .modal-body {
  padding-top: 0;
}
